Summary
Clone Automation
Description
Clone an Automation.
Route
POST /operations-manager/automations/clone
Roles
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| automation | object | yes | The id of the Automation to be cloned and, optionally, a name to assign to the clone. |
{ "id": "4fc3e321d5fe269145a2fc08", "name": null }
{ "title": "automation", "properties": { "id": { "description": "The id of the Automation to be cloned.", "$ref": "common#/definitions/ObjectIdLikeString" }, "name": { "description": "An optional name to use for the clone.", "oneOf": [ { "type": "null" }, { "$ref": "common#/definitions/name" } ] } } }
Return
| Name | Type | Description |
|---|---|---|
| result | object | The result of the clone operation. |
{ "message": "Successfully retrieved search results", "data": { "name": "myCoolDocumentName", "description": "Some helpful information about the document", "componentType": "workflows", "createdBy": null, "created": "2020-04-08T02:24:16.14Z", "lastUpdatedBy": null, "lastUpdated": "1961-08-15T10:13:04.591Z", "_id": "ed818316eb71c877c7c62c30", "gbac": { "write": [ "590b5724e34541d75b265740", "1e6595eded47c2c6dd85ae39", "9d6b0d199764f27a6aae7a21" ], "read": [ "b9c44b10b5b35eac7eb26c0e", "41e56f3934a6132d23ca1b23", "9c7fcc22c2dab3d1dab5eed9" ] }, "componentId": null }, "metadata": { "automaticChanges": [ "ut dolor aliqua", "aute exercitation et eiusmod", "ut", "Excepteur dolor sint in", "qui" ], "triggerCloneResults": { "message": "quis dolore aliquip sint", "data": [ { "success": true, "data": { "name": false, "description": -97068303.60933538, "type": false, "enabled": 7727429.026597664, "actionType": -30709634.359118, "actionId": -13334404, "lastExecuted": "proident", "createdBy": false, "created": false, "lastUpdatedBy": 30642350, "lastUpdated": "exercitation mollit sed", "formData": "dolor adipisicing laborum", "legacyWrapper": -86865077, "firstRunAt": -10339139.1316666, "nextRunAt": -21527754, "processMissedRuns": -23985782.776422456, "locked": "culpa ad", "repeatUnit": false, "repeatFrequency": 88674117, "repeatInterval": 14496754, "_id": 74423955, "formId": 22373202.272604242 }, "automaticChanges": [ "anim" ] }, { "success": false, "data": { "name": 17674053.324239478, "description": -10432828, "type": "cupidatat nulla", "enabled": 12649599.553863749, "actionType": true, "actionId": "eiusmod laboris", "lastExecuted": 63998374.31727958, "createdBy": 25833082, "created": -10646025, "lastUpdatedBy": -77848560, "lastUpdated": -84689607.14984837, "formData": 10834500.632202059, "legacyWrapper": 13198743.585044026, "firstRunAt": 23931401, "nextRunAt": false, "processMissedRuns": 53397565, "locked": true, "repeatUnit": true, "repeatFrequency": "esse enim", "repeatInterval": false, "_id": "irure", "formId": 65711621.84232885 }, "automaticChanges": [ "veniam minim eiusmod irure", "Ut ut ea", "dolore nulla", "adipisicing Duis Lorem deserunt" ] }, { "success": false, "data": { "name": "myCoolDocumentName", "description": "Some helpful information about the document", "type": "manual", "enabled": false, "actionType": "automations", "actionId": "4e7eda1605e3436b9a3ed569", "lastExecuted": null, "createdBy": null, "created": "1948-01-19T20:30:27.288Z", "lastUpdatedBy": null, "lastUpdated": "1960-06-18T01:03:55.018Z", "formData": { "deviceName": "ATL-123", "action": "SYNC" }, "legacyWrapper": false, "_id": "0ba41a3eb5e51c73d1fd8290", "formId": "e48d340078cd593c0495dc39", "migrationVersion": -10846809, "formSchemaHash": null }, "automaticChanges": [ "ad qui est", "pariatur irure eiusmod", "in reprehenderit pariatur occaecat" ] }, { "success": true, "data": { "name": "myCoolDocumentName", "description": "Some helpful information about the document", "type": "endpoint", "enabled": true, "actionType": "automations", "actionId": "ca43ce062fe077dbccb6f481", "lastExecuted": null, "createdBy": null, "created": "1997-12-01T23:17:57.435Z", "lastUpdatedBy": "occaecat dolore nisi", "lastUpdated": "1988-05-04T10:48:06.348Z", "verb": "POST", "routeName": "35v6CSNCf2", "schema": null, "_id": "4e260702831fb4d0e14fb94a", "jst": null, "migrationVersion": -49875471 }, "automaticChanges": [ "et velit", "sint dolore consequat in mollit" ] } ] } } }
{ "title": "result", "allOf": [ { "$ref": "common-api#/definitions/success-response" }, { "type": "object", "properties": { "data": { "$ref": "automation-api" }, "metadata": { "type": "object", "properties": { "automaticChanges": { "type": "array", "items": { "title": "messages", "type": "string", "example": "Disabled trigger 628672e8f677b67b3b0f20d7" } }, "triggerCloneResults": { "type": "object", "properties": { "message": { "type": "string" }, "metadata": { "type": "object" }, "data": { "type": "array", "items": { "type": "object", "properties": { "success": { "type": "boolean" }, "data": { "$ref": "trigger-api" }, "automaticChanges": { "type": "array", "items": { "title": "messages", "type": "string", "example": "Disabled trigger 628672e8f677b67b3b0f20d7" } } } } } } } } } } } ] }